> For the complete documentation index, see [llms.txt](https://developers.rewardful.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.rewardful.com/rest-api/commissions.md).

# Commissions

- [The commission object](https://developers.rewardful.com/rest-api/commissions/object.md): A commission represents a reward issued to an affiliate for a payment from a referred customer.
- [List commissions](https://developers.rewardful.com/rest-api/commissions/list.md): Returns a list of your commissions. The commissions are returned sorted by creation date, with the most recent commissions appearing first.
- [Retrieve commission](https://developers.rewardful.com/rest-api/commissions/retrieve.md): Retrieves the details of an existing commission. You need only supply the unique identifier (UUID) associated with the commission.
- [Update commission](https://developers.rewardful.com/rest-api/commissions/update.md): Updates the specified commission by setting the values of the parameters passed. Any parameters not provided will be left unchanged.
- [Delete commission](https://developers.rewardful.com/rest-api/commissions/delete.md): Permanently deletes a commission. Financial stats for the associated affiliate and campaign will be recalculated.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.rewardful.com/rest-api/commissions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
